Problem z Pythonem na MACOS

0

Cześć!
Mam trochę problemów z pracą z Pythonem w systemie MAC. Korzystam z PyCharma. Nie mogłem pobierać zewnętrznych bibliotek - pojawiały się błędy i liczne 'warningi' - być może coś jest nie tak z PIP.

W jaki sposób mogę to wszystko 'zrestartować', by móc od nowa pobrać PIPa i Pythona? Może wtedy problemy znikną. Próbowałem jakiejś prostej odinstalacji Pythona, niestety po zainstalowaniu problemy zostały.

0

A jaki masz konkretnie problem? Jakie komunikaty?

0
UglyMan napisał(a):

A jaki masz konkretnie problem? Jakie komunikaty?

Próbuję zainstalować bibliotekę "matplotlib". Próbuję zrobić to przez PyCharma, wyskakuje błąd: ERROR: Could not find a version that satisfies the requirement matplotlib (from versions: none).
Gdy próbuję zrobić to poprzez Terminal są następujące błędy: ERROR: Could not find a version that satisfies the requirement matplotlib (from versions: none)
ERROR: No matching distribution found for matplotlib

0
UglyMan napisał(a):

A jaki masz konkretnie problem? Jakie komunikaty?

update: gdy stworzyłem nowy projekt w pythonie w wersji 2.7 (wcześniej miałem w 3.x), to udało się zainstalować bibliotekę. Nic z tego nie rozumiem, nawet na oficjalnej stronie wiszą wymagania, że biblioteka wymaga minimum Pythona 3.6.

1 użytkowników online, w tym zalogowanych: 0, gości: 1, botów: 0